# systemd-autoreload

A tiny rust app that automatically reloads `systemd --user` unit files when you
edit them.

When you're tinkering with units, it saves forgetting to manually reload them
when restarting or retrying.

This project was mostly an experiment of mine to practice some very basic Rust
and analyse its memory usage. Surprisingly, a bash script used 1.1M of memory
and around 150ms to start-up. A Rust app takes 212k of memory, and 20ms to
start-up.

This took about 30 minutes to write, so after I've rebooted my PC around 13846
times, I'll have made up the time investment. But hey, 900k of extra free
memory is priceless.

Licence
-------

This project is licensed under the ISC licence. See LICENCE for details.
